/*
	MLW UI Core
	v1.0.3
	Author: MarkWillis.co.uk
*/

/* Loading masks */
div.loading_mask {
	background: #FFFFFF;
	filter: alpha(opacity=40);
	opacity: 0.4;
	position: absolute;
	z-index: 5000;
}
div.loading_mask_clear {
	background: none;
	position: absolute;
	z-index: 99999;
}

/* Alert prompt */
div#ui_alert {
	background: #FFFFFF;
	-webkit-border-radius: 3px;
	-moz-border-radius: 3px;
	border-radius: 3px;
	z-index: 9000;
	width: 300px;
	height: auto;
	display: block;
	position: absolute;
	-moz-box-shadow: 0px 0px 8px #ADADAD;
	-webkit-box-shadow: 0px 0px 8px #ADADAD;
	box-shadow: 0px 0px 8px #ADADAD;
	-webkit-transition: 0.45s;
	transition: 0.45s;
}
div#ui_alert_inner {
	box-sizing: border-box;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	padding: 20px;
	overflow: auto;
	z-index: 9000;
}
div#ui_alert a.close_button {
	display: block;
	box-sizing: border-box;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	position: absolute;
	top: -5px;
	right: -5px;
	margin: 0;
	background: #333333;
	color: #FFFFFF;
	width: 26px;
	height: 26px;
	padding: 0px;
	-webkit-border-radius: 13px;
	-moz-border-radius: 13px;
	border-radius: 13px;
	text-align: center;
	font-weight: bold;
	font-size: 12px;
	z-index: 9001;
}
div#ui_alert p.standard {
	font-size: 16px;
	font-weight: 400;
	margin: 0 0 15px 0;
	font-family: 'Droid Sans', sans-serif;
}
div#ui_alert_controls {
	text-align: center;
}
.ui_alert_errorbox {
	color: #D83F2E;
    background-color: #FFBABA;
    border: 1px solid #D83F2E;
    padding: 10px;
    font-size: 12px;
    line-height: 1.5em;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
	margin: 0 0 10px 0;
}


/* Form two parts */
div.form_part_one {
	width: 30%;
	-webkit-box-sizing: content-box;
	-moz-box-sizing: content-box;
	box-sizing: content-box;
	float: left;
}
div.form_part_one_70 {
	width: 70%;
}
div.form_part_one .form_item {
	-webkit-border-radius: 0px;
	-moz-border-radius: 0px;
	border-radius: 0px;
	height: 46px;
	border: 1px solid #CCC;
	border-right: none;
	background: #F5F5F5;
	color: #999999;
	-webkit-border-top-left-radius: 4px;
	-webkit-border-bottom-left-radius: 4px;
	-moz-border-radius-topleft: 4px;
	-moz-border-radius-bottomleft: 4px;
	border-top-left-radius: 4px;
	border-bottom-left-radius: 4px;
}
div.form_part_two {
	width: 70%;
	-webkit-box-sizing: content-box;
	-moz-box-sizing: content-box;
	box-sizing: content-box;
	float: right;
}
div.form_part_two_30 {
	width: 30%;
}
div.form_part_two .form_item {
	-webkit-border-radius: 0px;
	-moz-border-radius: 0px;
	border-radius: 0px;
	height: 46px;
	-webkit-border-top-right-radius: 4px;
	-webkit-border-bottom-right-radius: 4px;
	-moz-border-radius-topright: 4px;
	-moz-border-radius-bottomright: 4px;
	border-top-right-radius: 4px;
	border-bottom-right-radius: 4px;
}
div.form_part_two .form_item_third {
	width: 33%;
	float: left;
	margin: 0;
	-webkit-border-radius: 0px;
	-moz-border-radius: 0px;
	border-radius: 0px;
	border-right: none;
}
div.form_part_two .form_item_last {
	width: 34%;
	-webkit-border-radius: 0px;
	-moz-border-radius: 0px;
	border-radius: 0px;
	-webkit-border-top-right-radius: 4px;
	-webkit-border-bottom-right-radius: 4px;
	-moz-border-radius-topright: 4px;
	-moz-border-radius-bottomright: 4px;
	border-top-right-radius: 4px;
	border-bottom-right-radius: 4px;
	border: 1px solid #CCC;
}

div.form_input_button_one {
	width: 70%;
	float: left;
}
div.form_input_button_two {
	width: 30%;
	float: left;
}
div.form_input_button_one .form_item {
	width: 100%;
	box-sizing: border-box;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	height: 46px;
	
	-webkit-border-radius: 0px;
	-moz-border-radius: 0px;
	border-radius: 0px;
	height: 46px;
	border: 1px solid #CCC;
	border-right: none;
	background: #FFFFFF;
	-webkit-border-top-left-radius: 4px;
	-webkit-border-bottom-left-radius: 4px;
	-moz-border-radius-topleft: 4px;
	-moz-border-radius-bottomleft: 4px;
	border-top-left-radius: 4px;
	border-bottom-left-radius: 4px;
}
div.form_input_button_two .button_flat {
	width: 100%;
	box-sizing: border-box;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	height: 46px;
	padding: 12px 30px;
	-webkit-border-radius: 0px;
	-moz-border-radius: 0px;
	border-radius: 0px;
	-webkit-border-top-right-radius: 4px;
	-webkit-border-bottom-right-radius: 4px;
	-moz-border-radius-topright: 4px;
	-moz-border-radius-bottomright: 4px;
	border-top-right-radius: 4px;
	border-bottom-right-radius: 4px;
}
div.form_part_error {
	border: 1px solid #CC0000;
}

div.form_input_inline_input {
	width: 80%;
	-webkit-box-sizing: content-box;
	-moz-box-sizing: content-box;
	box-sizing: content-box;
	float: left;
}
div.form_input_inline_input .form_item {
	-webkit-border-top-right-radius: 0px;
	-webkit-border-bottom-right-radius: 0px;
	-moz-border-radius-topright: 0px;
	-moz-border-radius-bottomright: 0px;
	border-top-right-radius: 0px;
	border-bottom-right-radius: 0px;
}
div.form_input_inline_button {
	width: 20%;
	-webkit-box-sizing: content-box;
	-moz-box-sizing: content-box;
	box-sizing: content-box;
	float: left;
}
div.form_input_inline_button .button_flat {
	-webkit-border-top-left-radius: 0px;
	-webkit-border-bottom-left-radius: 0px;
	-moz-border-radius-topleft: 0px;
	-moz-border-radius-bottomleft: 0px;
	border-top-left-radius: 0px;
	border-bottom-left-radius: 0px;
	height: 46px;
	padding-left: 0px;
    padding-right: 0px;
	text-align: center;
	padding-top: 12px;
}

/* The switch - the box around the slider */
.form_switch {
	position: relative;
	display: inline-block;
	width: 60px;
	height: 34px;
}

/* Hide default HTML checkbox */
.form_switch input {display:none;}

/* The slider */
.switch_slider {
	position: absolute;
	cursor: pointer;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: #ccc;
	-webkit-transition: .4s;
	transition: .4s;
}
.switch_slider:before {
	position: absolute;
	content: "";
	height: 26px;
	width: 26px;
	left: 4px;
	bottom: 4px;
	background-color: white;
	-webkit-transition: .4s;
	transition: .4s;
}
input:checked + .switch_slider {
	background-color: #3CB600;
	border-color: #3CB600;
}
input:focus + .switch_slider {
	box-shadow: 0 0 1px #3CB600;
}
input:checked + .switch_slider:before {
	-webkit-transform: translateX(26px);
	-ms-transform: translateX(26px);
	transform: translateX(26px);
}
/* Rounded sliders */
.switch_slider.round {
	border-radius: 34px;
}
.switch_slider.round:before {
	border-radius: 50%;
}
/* Curved sliders */
.switch_slider.curved {
	border-radius: 6px;
}
.switch_slider.curved:before {
	border-radius: 6px;
}


input:checked + .switch_slider_green {
	background-color: #3CB600;
	border-color: #4D9CD2;
}
input:focus + .switch_slider_green {
	box-shadow: 0 0 1px #3CB600;
}

.ion-spin, .ion-loading-a, .ion-loading-b, .ion-loading-c, .ion-loading-d, .ion-looping, .ion-refreshing, .ion-ios7-reloading {display: inline-block; -webkit-animation: spin 1s infinite linear; -moz-animation: spin 1s infinite linear; -o-animation: spin 1s infinite linear; animation: spin 1s infinite linear; }
@-moz-keyframes spin { 0% { -moz-transform: rotate(0deg); }
  100% { -moz-transform: rotate(359deg); } }
@-webkit-keyframes spin { 0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(359deg); } }
@-o-keyframes spin { 0% { -o-transform: rotate(0deg); }
  100% { -o-transform: rotate(359deg); } }
@-ms-keyframes spin { 0% { -ms-transform: rotate(0deg); }
  100% { -ms-transform: rotate(359deg); } }
@keyframes spin { 0% { transform: rotate(0deg); }
  100% { transform: rotate(359deg); } }
.ion-loading-a { -webkit-animation-timing-function: steps(8, start); -moz-animation-timing-function: steps(8, start); animation-timing-function: steps(8, start); }

/* Dropdown item control */
.mlw_item_control {
	width: 100%;
	float: none;
	box-sizing: border-box;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	position: relative;
}
div.mlw_item_control a.mlw_item_control_btn {
	display: block;
	width: 100%;
	height: 44px;
	text-align: center;
}
div.mlw_item_control a.mlw_item_control_btn i.up_icon {
	display: none;
}
div.mlw_item_control a.mlw_item_control_btn i.down_icon {
	display: inline-block;
}
div.mlw_item_control a.mlw_item_control_btn.active {
	background: #25B9E3;
	color: #FFFFFF;
}
div.mlw_item_control a.mlw_item_control_btn.active i.up_icon {
	display: inline-block;
}
div.mlw_item_control a.mlw_item_control_btn.active i.down_icon {
	display: none;
}
div.mlw_item_control a.mlw_item_control_btn span {
	display: block;
	padding: 16px 0 0 0;
}
div.mlw_item_control a.mlw_item_control_btn_bigger {
	height: 44px;
}
div.mlw_item_control a.mlw_item_control_btn_bigger span {
	height: 62px;
	padding: 24px 0 0 0;
}
.mlw_item_control ul.item_controls {
	width: 200px;
	background: #25B9E3;
	color: #FFFFFF;
	position: absolute;
	z-index: 300;
	right: 0;
	display: none;
}
.mlw_item_control ul.item_controls li {
	list-style: none;
	width: 100%;
}
.mlw_item_control ul.item_controls li a {
	display: block;
	padding: 10px;
	border-bottom: 1px solid #0382C7;
	color: #FFFFFF;
}
.mlw_item_control ul.item_controls li a:hover {
	color: #FFFFFF;
	background: #0382C7;
}
/* End Dropdown item control */


/* Progress bars */
div.progress_bar_parent {
	padding: 0px;
	position: relative;
}
div.progress_bar_parent.margin10 {
	margin: 0 0 10px 0;
}
div.progress_bar_parent.margin20 {
	margin: 0 0 20px 0;
}
div.progress_bar_parent.margin30 {
	margin: 0 0 30px 0;
}
div.progress_bar_parent::after {
	display: table;
	content: "";
	clear: both;
}
div.progress_bar {
	height: 10px;
	width: 100%;
	border: none;
	background: #e9ecef;
	-webkit-border-radius: 3px;
	-moz-border-radius: 3px;
	border-radius: 3px;
	position: relative;
	overflow: hidden;
}
div.progress_bar .pbar {
	display: block;
	height: 10px;
	position: absolute;
	width: 100%;
	-webkit-transition: all 0.3s;
	-moz-transition: all 0.3s;
	-ms-transition: all 0.3s;
	-o-transition: all 0.3s;
	transition: all 0.3s;
	-webkit-border-radius: 3px;
	-moz-border-radius: 3px;
	border-radius: 3px;
}
div.progress_bar .pbar.green {
	background: #3CB600;
}
div.progress_bar .pbar.orange {
	background: #cc8d00;
}
div.progress_bar .pbar.pink {
	background: #cc00bc;
}
div.progress_bar_parent div.text_left {
	width: 50%;
	float: left;
	text-align: left;
	margin: 4px 0 0 0;
}
div.progress_bar_parent div.text_right {
	width: 50%;
	float: left;
	text-align: right;
	margin: 4px 0 0 0;
}
div.progress_bar_parent div.text_left,
div.progress_bar_parent div.text_right {
	color: #97a6ba;
	font-weight: 400;
	font-size: 16px;
	line-height: 1.2em;
}